<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Clarice Acervo
 */

get_header();
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			

			<script src="https://unpkg.com/@lottiefiles/lottie-player@0.4.0/dist/lottie-player.js"></script>
			<div class="block abertura">
				<h2><?php echo esc_html__('Livro a livro', 'clarice'); ?></h2>
				<lottie-player
				autoplay
				loop
				mode="normal"
				src="<?php echo get_template_directory_uri(); ?>/blocks/abertura/inc/laranja-preto.json"
				>
				</lottie-player>
			</div>
			<div class="slider-content">
				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post(); ?>
					<div <?php post_class(array("item", "conteudo")); ?>>
						<?php  $categories = get_the_category();
							$ano = get_field('ano');
							$chamada = get_field('chamada', false, false); ?>
						<h3 class="titulo"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
						<?php if($chamada) : ?>
							<p class="chamada"><?php echo $chamada; ?></p>
						<?php endif; ?>	
						<ul class="meta-card">
							<?php echo '<li class="categoria">' . esc_html__( $categories[0]->name ) . '</li>';?>
							<li class="data"><p><?php echo $ano; ?></p></li>
						</ul>
					</div>
				<?php endwhile; ?>
			</div>
			<div class="slider-arrows">
				<button class="slider-prev">
					<img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Anterior" class="svg">
				</button>
				<button class="slider-next">
					<img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Próximo" class="svg">
				</button>
			</div>
			<div class="slider-images">
				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post(); ?>

					<div <?php post_class(array("item", "imagem")); ?>>
    					<?php echo clarice_post_thumbnail(); ?>
					</div>

				<?php endwhile; ?>
			</div>

			<?php else :

				get_template_part( 'template-parts/content', 'none' );

			endif;?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
