<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Clarice Acervo
 */

get_header();
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) :?>
			<div class="filtros">
				<?php echo do_shortcode( '[searchandfilter id="9698"]' ); ?>
			</div>

		<?php if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif; ?>

			<section class="postagens">
			<?php while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				// get_template_part( 'template-parts/content', get_post_type() );
				?>


			
			<div <?php post_class(array("card", $class)); ?>>
			<?php  $categories = get_the_category();
				$chamada = get_field('chamada', false, false); ?>
			<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1"><?php the_post_thumbnail( 'post-thumbnail', array( 'alt' => the_title_attribute( array( 'echo' => false, ) ), ) ); ?></a>
			<ul class="meta-card">
				<?php $postType = get_post_type_object(get_post_type());
				if ($postType) : ?>
				<li class="post-type"><span><?php echo esc_html__($postType->labels->singular_name); ?></span></li>
				<?php endif; ?>
				<?php echo '<li class="categoria">' . esc_html__( $categories[0]->name ) . '</li>';?>
				<li class="data"><p class="data"><?php the_time("d/m/Y"); ?></p></li>
			</ul>
			<h3 class="titulo"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
			<span class="author"><?php esc_html_e( 'por', 'clarice' ); ?> <?php echo get_the_author_link(); ?></span>
			<?php if($chamada) : ?>
				<p class="chamada"><?php echo $chamada; ?></p>
			<?php endif; ?>		
		</div>

			<?php endwhile; ?>

		</div>

		<?php else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
