<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Clarice Acervo
 */

get_header();
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) :?>

			<script src="https://unpkg.com/@lottiefiles/lottie-player@0.4.0/dist/lottie-player.js"></script>
			<div class="block abertura">
				<h2><?php echo esc_html_e('Postagens', 'clarice'); ?></h2>
				<lottie-player
				autoplay
				loop
				mode="normal"
				src="<?php echo get_template_directory_uri(); ?>/blocks/abertura/inc/preto-terra.json"
				>
			</lottie-player>
			</div>
				
			<div style="height:70px" aria-hidden="true" class="wp-block-spacer"></div>
			<?php
			the_archive_title( '<h2 class="page-title">', '</h2>' ); ?>
			<div style="height:70px" aria-hidden="true" class="wp-block-spacer"></div>

			<div class="filtros">
				<?php echo do_shortcode( '[searchandfilter id="9698"]' ); ?>
			</div>

			<section class="postagens">
			<?php while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				// get_template_part( 'template-parts/content', get_post_type() );
				?>


			
			<div <?php post_class(array("card", $class)); ?>>
			<?php  $categories = get_the_category();
				$chamada = get_field('chamada', false, false); ?>
			<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1"><?php the_post_thumbnail( 'post-thumbnail', array( 'alt' => the_title_attribute( array( 'echo' => false, ) ), ) ); ?></a>
			<ul class="meta-card">
				<?php $postType = get_post_type_object(get_post_type());
				if ($postType) : ?>
				<li class="post-type"><span><?php echo esc_html__($postType->labels->singular_name); ?></span></li>
				<?php endif; ?>
				<?php echo '<li class="categoria">' . esc_html__( $categories[0]->name ) . '</li>';?>
				<li class="data"><p class="data"><?php the_time("d/m/Y"); ?></p></li>
			</ul>
			<h3 class="titulo"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
			<span class="author"><?php esc_html_e( 'por', 'clarice' ); ?> <?php echo get_the_author_link(); ?></span>
			<?php if($chamada) : ?>
				<p class="chamada"><?php echo $chamada; ?></p>
			<?php endif; ?>		
		</div>

			<?php endwhile; ?>

			</section>

		<?php else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
