<?php
/**
 * Slideshow de conteúdo relacionado
 *
 * @package      Clarice Lispector
 * @author       ESTUDIO CRU
 * @since        1.0.0
 * @license      GPL-2.0+
**/

// Create class attribute allowing for custom "className" and "align" values.
$id = 'related-slideshow';
if( !empty($block['anchor']) ) {
    $id = $block['anchor'];
}
$className = 'related-slideshow';
if( !empty($block['className']) ) {
    $className .= ' ' . $block['className'];
}
if( !empty($block['align']) ) {
    $className .= ' align' . $block['align'];
}

global $post;

$related = get_field('originais_documentos', $post->ID);
$original = $post;
?>

<div id="<?php echo esc_attr($id); ?>" class="<?php echo esc_attr($className); ?>" >
    <?php  if( $related ): ?>
        <div class="slider">
            <?php foreach( $related as $post): // variable must be called $post (IMPORTANT) ?>
                <?php setup_postdata($post); ?>
                <div class="item <?php echo get_post_type(); ?>">
                    <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1"><?php echo clarice_post_thumbnail(); ?></a>
                    <?php if ( is_single($original->ID) && $original->post_parent ) : ?>
                    <?php else : ?>
                        <div class="conteudo">
                            <h3><?php the_title(); ?></h3>
                            <?php echo the_content(); ?>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        </div>
        <div class="slider-arrows">
            <button class="slider-prev">
                <img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Anterior" class="svg">
            </button>
            <button class="slider-next">
                <img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Próxima" class="svg">
            </button>
        </div>
        <?php wp_reset_postdata(); ?>
    <?php endif; ?>
</div>