<?php
/**
 * Timeline
 *
 * @package      Clarice Lispector
 * @author       ESTUDIO CRU
 * @since        1.0.0
 * @license      GPL-2.0+
**/

// Create class attribute allowing for custom "className" and "align" values.
$id = 'timeline-embed';
if( !empty($block['anchor']) ) {
    $id = $block['anchor'];
}
$className = 'timeline';
if( !empty($block['className']) ) {
    $className .= ' ' . $block['className'];
}
if( !empty($block['align']) ) {
    $className .= ' align' . $block['align'];
}

// $link = get_field('link') ?: 'https://docs.google.com/spreadsheets/d/18UflkPE8N1QcIhYRf-1lxpescQb3Z9-pfsY9KqNRSPg/pubhtml';
$link = get_field('link');

?>
<link title="timeline-styles" rel="stylesheet" href="https://cdn.knightlab.com/libs/timeline3/latest/css/timeline.css">

<script src="https://cdn.knightlab.com/libs/timeline3/latest/js/timeline.js"></script>
<div id="<?php echo esc_attr($id); ?>" class="<?php echo esc_attr($className); ?>"></div>

<script type='text/javascript'>
    var options = {
        initial_zoom: 6,
        language: 'pt-br',
    }
    // var timeline = new TL.Timeline('timeline-embed',
    //                                 'https://docs.google.com/spreadsheets/d/1cWqQBZCkX9GpzFtxCWHoqFXCHg-ylTVUWlnrdYMzKUI/pubhtml',
    //                                 options);
    timeline = new TL.Timeline('timeline-embed', '<?php echo $link; ?>', options);
</script>