<?php
/**
 * Register Blocks
 *
 */
function clarice_register_blocks() {
	
	if( ! function_exists( 'acf_register_block_type' ) )
		return;

	acf_register_block_type( array(
		'name'			=> 'timeline',
		'title'			=> __( 'Linha do tempo', 'clarice' ),
		'render_template'	=> 'blocks/timeline/timeline.php',
		'enqueue_style' => get_template_directory_uri() . '/blocks/timeline/timeline.css',
		'category'		=> 'layout',
		'icon'			=> 'admin-users',
		'mode'			=> 'auto',
		'keywords'		=> array( 'timeline', 'linha-do-tempo' )
	));

	acf_register_block_type( array(
		'name'			=> 'item-acervo',
		'title'			=> __( 'Item do acervo', 'clarice' ),
		'render_template'	=> 'blocks/item-acervo/item-acervo.php',
		'category'		=> 'layout',
		'icon'			=> 'admin-users',
		'mode'			=> 'auto',
		'keywords'		=> array( 'acervo', 'item' )
	));

	acf_register_block_type( array(
		'name'			=> 'abertura',
		'title'			=> __( 'Abertura animada', 'clarice' ),
		'render_template'	=> 'blocks/abertura/abertura.php',
		'category'		=> 'layout',
		'icon'			=> 'admin-users',
		'mode'			=> 'auto',
		'keywords'		=> array( 'acervo', 'item' )
	));

	acf_register_block_type( array(
		'name'			=> 'slider-related',
		'title'			=> __( 'Slideshow de conteúdo relacionado', 'clarice' ),
		'render_template'	=> 'blocks/slideshow-relacionados/slideshow.php',
		'enqueue_style' => get_template_directory_uri() . '/blocks/slideshow-relacionados/slideshow.css',
		'category'		=> 'layout',
		'icon'			=> 'admin-users',
		'mode'			=> 'auto',
		'keywords'		=> array( 'slideshow', 'acervo', 'relacionados' )
	));

}
add_action('acf/init', 'clarice_register_blocks' );

?>