<?php
/**
 * Search & Filter Pro 
 *
 * Sample Results Template
 * 
 * @package   Search_Filter
 * @author    Ross Morsali
 * @link      https://searchandfilter.com
 * @copyright 2018 Search & Filter
 * 
 * Note: these templates are not full page templates, rather 
 * just an encaspulation of the your results loop which should
 * be inserted in to other pages by using a shortcode - think 
 * of it as a template part
 * 
 * This template is an absolute base example showing you what
 * you can do, for more customisation see the WordPress docs 
 * and using template tags - 
 * 
 * http://codex.wordpress.org/Template_Tags
 *
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $query->have_posts() )
{
	?>
	<div class='search-filter-results-list uma-aprendizagem'>
	<?php
		while ($query->have_posts())
		{
			$query->the_post();

			$tipos = get_the_terms($post->ID, 'tipo');
			$categories = get_the_terms($post->ID, 'formato');
			$class = $tipos[0]->slug;
			$chamada = get_the_excerpt($post->ID);
			$author = get_field('autor', $post->ID);
			$infos = get_field('outras-informacoes', $post->ID, false);
			$link = get_field('link', $post->ID);
			$video = get_field('video', $post->ID);
			?>
			
			<?php include( locate_template( 'components/card-'.get_post_type().'.php', false, false ) ); ?>
			
			<?php
		}
	?>
	
	<div class="pagination">
		
		<div class="nav-next"><?php previous_posts_link( 'Resultados anteriores' ); ?></div>
		<div class="nav-previous"><?php next_posts_link( 'Próximos resultados', $query->max_num_pages ); ?></div>
		<?php
			/* example code for using the wp_pagenavi plugin */
			if (function_exists('wp_pagenavi'))
			{
				echo "<br />";
				wp_pagenavi( array( 'query' => $query ) );
			}
		?>
	</div>
	</div>
<?php
}
else
{
	?>
	<div class='search-filter-results-list' data-search-filter-action='infinite-scroll-end'>
		<span>Todos os itens exibidos</span>
	</div>
	<?php
}
?>