<?php
/**
 * Search & Filter Pro 
 *
 * Postagens
 * 
 * @package   Search_Filter
 * @author    Ross Morsali
 * @link      https://searchandfilter.com
 * @copyright 2018 Search & Filter
 * 
 * Note: these templates are not full page templates, rather 
 * just an encaspulation of the your results loop which should
 * be inserted in to other pages by using a shortcode - think 
 * of it as a template part
 * 
 * This template is an absolute base example showing you what
 * you can do, for more customisation see the WordPress docs 
 * and using template tags - 
 * 
 * http://codex.wordpress.org/Template_Tags
 *
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $query->have_posts() )
{
	?>

	<div class='search-filter-results-list resultado-busca'>
	<?php
		while ($query->have_posts())
		{
			$query->the_post();
			$class = "type-post";
			?>
			
			<div <?php post_class(array("card", $class)); ?>>
			<?php  $categories = get_the_category();
				$chamada = get_field('chamada', false, false); ?>
			<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1"><?php the_post_thumbnail( 'post-thumbnail', array( 'alt' => the_title_attribute( array( 'echo' => false, ) ), ) ); ?></a>
			<ul class="meta-card">
				<?php $postType = get_post_type_object(get_post_type());
				if ($postType) : ?>
				<li class="post-type"><span><?php echo esc_html__($postType->labels->singular_name); ?></span></li>
				<?php endif; ?>
				<?php echo '<li class="categoria">' . esc_html__( $categories[0]->name ) . '</li>';?>
				<li class="data"><p class="data"><?php the_time("d/m/Y"); ?></p></li>
			</ul>

			<?php if( 'acervo' == get_post_type()) :
				
				$de = get_field('de', $post->ID);
				$para = get_field('para', $post->ID);
			?>

				<h3 class="titulo"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
								<?php if($de) : ?>
									<?php echo esc_html__('De:', 'clarice'); ?> <?php echo $de; ?>
								<?php endif; ?>
								<?php if($para) : ?>
									<?php echo esc_html__(' — Para:', 'clarice'); ?> <?php echo $para; ?>
								<?php endif; ?>
							</a></h3>

			<?php else : ?>

				<h3 class="titulo"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>

			<?php endif; ?>

			<?php if(! 'acervo' == get_post_type()) : ?>
				<span class="author"><?php esc_html_e( 'por', 'clarice' ); ?> <?php echo get_the_author_link(); ?></span>
			<?php endif; ?>
			<?php if($chamada) : ?>
				<p class="chamada"><?php echo $chamada; ?></p>
			<?php endif; ?>		
		</div>
			
			<?php
		}
	?>
	</div>
<?php
}
else
{
	?>
	<div class='search-filter-results-list' data-search-filter-action='infinite-scroll-end'>
		<h6>Todos os itens exibidos</h6>
	</div>
	<?php
}
?>