<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Clarice Acervo
 */

$related = get_field('originais_documentos');
$criterio = array( 'post_parent' => $post->ID );
$filhos = get_children( $criterio );
if ( ! empty($filhos) ) {
	$args = array(
		'post_type'	=> 'acervo',
		'posts_per_page' => -1,
		'post_parent' => $post->ID,
		'orderby' => 'menu_order',
	);
} else {
	$ids = get_field('originais_documentos', false, false);

	$args = array(
		'post_type'      	=> 'originais',
		'posts_per_page'	=> -1,
		'post__in'			=> $ids,
		'orderby'        	=> 'post__in',
	);
}
$the_query = new WP_Query( $args );
?>

<?php if ( is_single() && $post->post_parent ) : ?>
<?php else : ?>
<?php endif; ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php if ( empty($filhos) ) : ?>
	<header class="entry-header">

		<?php
			$de = get_field('de');
			$para = get_field('para');
			if($de || $para) :
		?>
		<h2 class="entry-title">
			<?php if($de) : ?>
				<?php echo esc_html__('De:', 'clarice'); ?> <?php echo $de; ?>
			<?php endif; ?>
			<?if($de && $para) : ?><br><?php endif; ?>
			<?php if($para) : ?>
				<?php echo esc_html__('Para:', 'clarice'); ?> <?php echo $para; ?>
			<?php endif; ?></h2>
		<?php
			else :
				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif;
			endif;
		?>
	</header><!-- .entry-header -->
<?php endif; ?>

	<div class="entry-content">
	<?php if(empty($filhos) && !empty($related)) {

			$id = 'related-slideshow';
			if( !empty($block['anchor']) ) {
				$id = $block['anchor'];
			}
			$className = 'related-slideshow';
			$original = $post;
			?>

			<div id="<?php echo esc_attr($id); ?>" class="<?php echo esc_attr($className); ?>" >
				<?php  if( $related ): ?>
					<div class="slider">
						<?php foreach( $related as $post): // variable must be called $post (IMPORTANT) ?>
							<?php setup_postdata($post);
							$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
							?>
							<div class="item <?php echo get_post_type(); ?>">
								<a class="post-thumbnail" href="<?php echo esc_url($featured_img_url); ?>" aria-hidden="true" tabindex="-1"><?php echo clarice_post_thumbnail(); ?></a>
								<?php if ( is_single($original->ID) && $original->post_parent ) : ?>
								<?php else : ?>
									<div class="conteudo">
										<!-- <h3><?php the_title(); ?></h3> -->
										<?php echo the_content(); ?>
									</div>
								<?php endif; ?>
							</div>
						<?php endforeach; ?>
					</div>
					<div class="slider-arrows">
						<button class="slider-prev">
							<img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Anterior" class="svg">
						</button>
						<button class="slider-next">
							<img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Próxima" class="svg">
						</button>
					</div>
					<?php wp_reset_postdata(); ?>
				<?php endif; ?>
			</div>
	<?php }
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'clarice' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'clarice' ),
			'after'  => '</div>',
		) );
		?>
		<?php if( ! empty($filhos) ) : ?>
			
			<?php if($the_query->have_posts()) : ?>
				<div class="slider-content">
					<?php while($the_query->have_posts()) :
							$the_query->the_post(); ?>
							<div <?php post_class(array("item", "conteudo")); ?>>
							<?php  $categories = get_the_category();
								$ano = get_field('ano');
								$de = get_field('de');
								$para = get_field('para');
							?>
							<h3 class="titulo"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
								<?php if($de) : ?>
									<?php echo esc_html__('De:', 'clarice'); ?> <?php echo $de; ?>
								<?php endif; ?>
								<?php if($para) : ?>
									<?php echo esc_html__(' — Para:', 'clarice'); ?> <?php echo $para; ?>
								<?php endif; ?>
							</a></h3>
								<p>
									<?php if($ano) : ?>
										<br><?php echo $ano; ?>
									<?php endif; ?>
								</p>
						</div>
					<?php endwhile; ?>
					<?php wp_reset_postdata(); ?>
				</div>
			<?php endif; ?>
			<?php if($the_query->have_posts()) : ?>
				<div class="slider-arrows">
					<button class="slider-prev">
						<img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Anterior" class="svg">
					</button>
					<button class="slider-next">
						<img src="<?php echo get_template_directory_uri(); ?>/img/seta.svg" alt="Próxima" class="svg">
					</button>
				</div>
				<div class="slider-images">
					<?php while($the_query->have_posts()) :
							$the_query->the_post(); ?>
							<div <?php post_class(array("item", "imagem")); ?>>
    						<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php echo clarice_post_thumbnail(); ?></a>
						</div>
					<?php endwhile; ?>
					<?php wp_reset_postdata(); ?>
				</div>
			<?php endif; ?>

		<?php endif; ?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php clarice_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
