<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Clarice Acervo
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		
		the_content();

		if(ICL_LANGUAGE_CODE=='en') {
			$return = '/en/document-sent';
			$button = 'Submit document';
		}
		if(ICL_LANGUAGE_CODE=='pt-br') {
			$return = '/documento-enviado';
			$button = 'Submeter documento';
		}

		acf_form(
			array(
			'post_id' => 'new_post',
			'field_groups' => array(7079), // Used ID of the field groups here.
			'post_title' => true, // This will show the title filed
			'post_content' => true, // This will show the content field
			'form' => true,
			'new_post' => array(
				'post_type' => 'sobre',
				'post_status' => 'draft' // You may use other post statuses like draft, private etc.
			),
			'return' => $return,
			'submit_value' => $button,
			)
		);
		?>
	</div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer">
			<?php
			edit_post_link(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Edit <span class="screen-reader-text">%s</span>', 'clarice' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				),
				'<span class="edit-link">',
				'</span>'
			);
			?>
		</footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
