<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Clarice Acervo
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<ul class="meta-single">
			<?php $categories = get_the_category();
				echo '<li>' . esc_html__( $categories[0]->name ) . '</li>';?>
			<li><?php echo get_field('ano'); ?></li>
		</ul>
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
				clarice_posted_by();
				?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php clarice_post_thumbnail(); ?>

	<div class="entry-content">
		<?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'clarice' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		echo '<p class="autoria">'.esc_html__('Por ', 'clarice').get_field('autor').'</p>';

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'clarice' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php clarice_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	<?php 

	/*
	*  Query posts for a relationship value.
	*  This method uses the meta_query LIKE to match the string "123" to the database value a:1:{i:0;s:3:"123";} (serialized array)
	*/

	$relacionados = get_posts(array(
		'post_type' => array('livro', 'post', 'acervo'),
		'posts_per_page' => -1,
		'meta_query' => array(
			array(
				'key' => 'relacionados', // name of custom field
				'value' => '"' . get_the_ID() . '"', // matches exactly "123", not just 123. This prevents a match for "1234"
				'compare' => 'LIKE'
			)
		)
	));

	$documentos = get_posts(array(
		'post_type' => 'sobre',
		'posts_per_page' => -1,
		'meta_query' => array(
			array(
				'key' => 'relacionados', // name of custom field
				'value' => '"' . get_the_ID() . '"', // matches exactly "123", not just 123. This prevents a match for "1234"
				'compare' => 'LIKE'
			)
		)
	));

	?>
	<?php if($relacioandos || $documentos) : ?>
		<h3 class="titulo-relacionados"><?php echo esc_html__('Ver também', 'clarice'); ?></h3>
		<div class="related-posts">
	<?php endif; ?>
	<?php if( $relacionados ): ?>
		<?php foreach( $relacionados as $relacionado ): ?>
			<?php
			$class = "related";
			$post = $relacionado;
			include( locate_template( 'components/card-related.php', false, false ) );
			global $post;
			?>
		<?php endforeach; ?>
		<!-- </div> -->
	<?php endif; ?>

	<?php if( $documentos ): ?>
		<!-- <div class="related-posts sobre"> -->
		<?php foreach( $documentos as $documento ): ?>
			<?php
			$class = "related";
			$post = $documento;
			include( locate_template( 'components/card-related.php', false, false ) );
			global $post;
			?>
		<?php endforeach; ?>
	<?php endif; ?>
	<?php if($relacioandos || $documentos) : ?>
		</div>
	<?php endif; ?>

</article><!-- #post-<?php the_ID(); ?> -->
